import dynamix_sdk.base as _base


class CloudapiComputePinToNodeResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputePinToNodeProtocol(_base.BasePostAPIFunctionProtocol):
    def pin_to_node(
        self,
        *,
        vm_id: int,
        auto_start: bool = False,
    ) -> CloudapiComputePinToNodeResultBool:
        ...
